> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

> Delete a release. A release that has deployments can't be deleted; archive it instead.

| Scope | Required |
| - | - |
| `releases:delete` | Yes |


## OpenAPI

````yaml /references/platform-api/2026-11-04.yaml delete /releases/{release_id}
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-11-04.everglades
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-11-04.everglades
  x-git-commit:
    sha: e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    url: >-
      https://github.com/mirurobotics/openapi/commit/e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    message: >-
      feat(platform): add archived and deleted list filters, and tidy
      descriptions (#446)
    author: Ben's Agent
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-11-05T23:04:32.018858+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /releases/{release_id}:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    delete:
      tags:
        - Releases
      summary: Delete
      description: >-
        Delete a release. A release that has deployments can't be deleted;
        archive it instead.
      operationId: deleteRelease
      parameters:
        - $ref: '#/components/parameters/release_id'
      responses:
        '200':
          description: Successfully deleted the release.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeletedRelease'
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-11-04.everglades
      description: The API version the client was built against.
    release_id:
      name: release_id
      in: path
      required: true
      description: The unique identifier of the release.
      schema:
        type: string
        example: rls_123
  schemas:
    DeletedRelease:
      title: Deleted Release
      type: object
      required:
        - object
        - id
        - deleted
      properties:
        object:
          type: string
          enum:
            - release
          example: release
          x-stainless-const: true
          description: The object type, which is always `release`.
        id:
          type: string
          description: ID of the deleted release.
          example: rls_123
        deleted:
          type: boolean
          description: Whether the release was deleted.
          example: true
      example:
        object: release
        id: rls_123
        deleted: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.